const state = {
    role_id: null,
    grupo_de_compra_id: null,
};

const mutations = {
    SET_SESSION(state, { role_id, grupo_de_compra_id }) {
        state.role_id = role_id;
        state.grupo_de_compra_id = grupo_de_compra_id;
    },
};

const actions = {
    async fetchSession({ commit }) {
        const response = await axios.get('/session');
        console.log(response.data);
        commit('SET_SESSION', {
            role_id: response.data.role_id,
            grupo_de_compra_id: response.data.grupo_de_compra_id,
        });
    },
};

const getters = {};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters,
};
